{ pkgs, hyprlandSettings, ... }:
let
  settings = import ../../settings.nix { inherit pkgs; };
in
{
  programs.wofi = {
    enable = true;
    style = ''
      * {
        font-family: "${settings.fontName}", monospace;
        font-size: 14px;
      }

      /* Window */
      window {
        margin: 0px;
        padding: 10px;
        border: 0.16em solid ${settings.nord.aurora.nord15};
        border-radius: 0.1em;
        background-color: ${settings.nord.polarNight.nord0};
      }

      /* Inner Box */
      #inner-box {
        margin: 5px;
        padding: 10px;
        border: none;
        background-color: ${settings.nord.polarNight.nord0};
      }

      /* Outer Box */
      #outer-box {
        margin: 5px;
        padding: 10px;
        border: none;
        background-color: ${settings.nord.polarNight.nord0};
      }

      /* Scroll */
      #scroll {
        margin: 0px;
        padding: 10px;
        border: none;
        background-color: ${settings.nord.polarNight.nord0};
      }

      /* Input */
      #input {
        margin: 5px 20px;
        padding: 10px;
        border: none;
        border-radius: 0.1em;
        color: ${settings.nord.snowStorm.nord6};
        background-color: ${settings.nord.polarNight.nord0};
      }

      #input image {
        border: none;
        color: ${settings.nord.aurora.nord11};
      }

      #input * {
        outline: 4px solid ${settings.nord.aurora.nord11}!important;
      }

      /* Text */
      #text {
        margin: 5px;
        border: none;
        color: ${settings.nord.snowStorm.nord6};
      }

      #entry {
        background-color: ${settings.nord.polarNight.nord0};
      }

      #entry arrow {
        border: none;
        color: ${settings.nord.aurora.nord15};
      }

      /* Selected Entry */
      #entry:selected {
        border: 0.11em solid ${settings.nord.aurora.nord15};
      }

      #entry:selected #text {
        color: ${settings.nord.frost.nord7};
      }

      #entry:drop(active) {
        background-color: ${settings.nord.aurora.nord15}!important;
      }
    '';
  };
}
